LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
StringRepresentation Service Reference

`import"StringRepresentation.idl";`

Inheritance diagram for StringRepresentation:

## Public Member Functions
| create ([in]com::sun::star::script::XTypeConverter TypeConverter) raises ( com::sun::star::lang::IllegalArgumentException )
| createConstant ([in]com::sun::star::script::XTypeConverter TypeConverter,[in] string Constant,[in] sequence< string > Values) raises ( com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XStringRepresentation
string | convertToControlValue ([in]any PropertyValue) raises ( com::sun::star::uno::Exception )
| converts a into a string. More...
any | convertToPropertyValue ([in]string ControlValue, [in]type ControlValueType) raises ( com::sun::star::uno::Exception )
| converts a string into an any with the type defined by the target type. More...

## Member Function Documentation

create | ( | [in] com::sun::star::script::XTypeConverter | TypeConverter | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

createConstant | ( | [in] com::sun::star::script::XTypeConverter | TypeConverter,
|  | [in] string | Constant,
|  | [in] sequence< string > | Values
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/inspection/StringRepresentation.idl